/**
 * 
 */
package org.ajax4jsf.bean;

import java.util.Date;

/**
 * @author asmirnov
 *
 */
public class TimerBean {

	private boolean _enabled;

	/**
	 * @return the enabled
	 */
	public boolean isEnabled() {
		return _enabled;
	}

	/**
	 * @param enabled the enabled to set
	 */
	public void setEnabled(boolean enabled) {
		_enabled = enabled;
	}
	
	public Date getTimer(){
		return new Date(System.currentTimeMillis());
	}
	
	public String go() {
		setEnabled(true);
		return null;
	}

	public String stop() {
		setEnabled(false);
		return null;
	}
}
